﻿Imports System
Imports System.IO

Namespace TestMutation
    Friend Class Program
        Shared Sub Main(ByVal args() As String)
            Dim testCaseData() = {"1.0, 2.0, 3.0, 1.0",
                                  "4.0, 5.0, 6.0, 4.0",
                                  "7.0, 8.0, 9.0, 7.0"}

            Dim numFail = 0

            For i = 0 To testCaseData.Length - 1
                Dim tokens() = testCaseData(i).Split(","c)
                Dim x = Double.Parse(tokens(0))
                Dim y = Double.Parse(tokens(1))
                Dim z = Double.Parse(tokens(2))
                Dim expected = Double.Parse(tokens(3))

                Dim actual As Double = MathLib.Class1.TriMin(x, y, z)
                If actual <> expected Then
                    numFail += 1
                End If
            Next i

            'FileStream ofs = new FileStream("C:\\MutationTesting\\TestMutation\\logFile.txt", FileMode.Append);
            Dim ofs As New FileStream("..\..\logFile.txt", FileMode.Append)
            Dim sw As New StreamWriter(ofs)
            sw.WriteLine("=============")
            sw.WriteLine("Number failures = " & numFail)
            If numFail = 0 Then
                sw.WriteLine("Number test case failures = 0 indicates possible weak test suite!")
            ElseIf numFail > 0 Then
                sw.WriteLine("This is good.")
            End If
            sw.Close()
            ofs.Close()

            'Console.WriteLine(v)
            'Console.ReadLine()
        End Sub
    End Class
End Namespace